DynArrayHelper (Java SE 10 & JDK 10 )
Keywords: org.omg.DynamicAny.DynArrayHelper class

Module java.corba
Package org.omg.DynamicAny

## Class DynArrayHelper

- java.lang.Object
- - org.omg.DynamicAny.DynArrayHelper

-     public abstract class DynArrayHelper
      extends Object

  DynArray objects support the manipulation of IDL arrays. Note that the dimension of the array is contained in the TypeCode which is accessible through the type attribute. It can also be obtained by calling the component_count operation.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynArrayHelper()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DynArray` | `extract​(Any a)` |
    `static String` | `id()` |
    `static void` | `insert​(Any a, DynArray that)` |
    `static DynArray` | `narrow​(Object obj)` |
    `static DynArray` | `read​(InputStream istream)` |
    `static TypeCode` | `type()` |
    `static DynArray` | `unchecked_narrow​(Object obj)` |
    `static void` | `write​(OutputStream ostream, DynArray value)` |

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DynArrayHelper

          public DynArrayHelper()

  - ### Method Detail

    - #### insert

          public static void insert​(Any a,
                                    DynArray that)

    - #### extract

          public static DynArray extract​(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static DynArray read​(InputStream istream)

    - #### write

          public static void write​(OutputStream ostream,
                                   DynArray value)

    - #### narrow

          public static DynArray narrow​(Object obj)

    - #### unchecked_narrow

          public static DynArray unchecked_narrow​(Object obj)